
unit uDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Grids;

type
  TfrmDemo1 = class(TForm)
    Ausgabefeld: TStringGrid;
    Schaltleiste: TPanel;
    btnAusgeben: TButton;
    btnBeenden: TButton;
    procedure FormShow(Sender: TObject);
    procedure btnAusgebenClick(Sender: TObject);
    procedure btnBeendenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmDemo1: TfrmDemo1;

implementation

{$R *.DFM}

const
{
Variablen enthalten Werte, die sich whrend der Ausfhrung des Programms
ndern knnen. Konstanten enthalten dagegen unvernderliche Werte. Konstanten
erhalten ihren Wert zu dem Zeitpunkt, zu dem sie deklariert werden.
}

  Laby : ARRAY [0..11, 0..11] of Char   // typisierte Konstante
    = ('',
       '          ',
       ' ',
       '          ',
       '  ',
       '       ',
       '     ',
       '  ',
       '        ',
       '   ',
       '         ',
       '');   // Fontname = Wingdings  !!

procedure TfrmDemo1.FormShow(Sender: TObject);
begin
  // Trennlinien werden entfernt
  Ausgabefeld.Options := []; 
  Ausgabefeld.SetFocus;
end;

procedure TfrmDemo1.btnAusgebenClick(Sender: TObject);
var
  i, j: Integer;
begin
  for i := 0 to 11 do  for j := 0 to 11 do
    Ausgabefeld.Cells [i,j] := Laby [j,i];
    { Beachten: i und j in Cells und Laby verschiedene Reihenfolge! }
  Ausgabefeld.SetFocus;
  btnAusgeben.Enabled := false;
end;

procedure TfrmDemo1.btnBeendenClick(Sender: TObject);
begin
  Close;
end;

end.
